#ifndef INCLUDED_BUTTON
#define INCLUDED_BUTTON

class Button {
public:
    int push;
    int hold;
    int release;

    Button(void) : push(0), hold(0), release(0) {}

    void push_work(void);
    void release_work(void);
    void reset(void);
    int isPush(void);
    int isHold(void);
    int isRelease(void);
};

#endif
